org.springframework.cloud.dataflow.shell

## Class DataflowJLineShellComponent

- java.lang.Object
- - org.springframework.shell.event.AbstractShellStatusPublisher
  - - org.springframework.shell.core.AbstractShell
    - - org.springframework.shell.core.JLineShell
      - - org.springframework.shell.core.JLineShellComponent
        - - org.springframework.cloud.dataflow.shell.DataflowJLineShellComponent

- All Implemented Interfaces:
    Runnable, org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.context.Lifecycle, org.springframework.context.Phased, org.springframework.context.SmartLifecycle, org.springframework.shell.core.Shell, org.springframework.shell.core.ShellPromptAccessor, org.springframework.shell.event.ShellStatusProvider

      public class DataflowJLineShellComponent
      extends org.springframework.shell.core.JLineShellComponent

  Extended version of `JLineShellComponent` that "targets" the Spring Cloud Data Flow server in `getStartupNotifications()` before the shell is fully initialized (Any errors are printed to the console)
  Author:
    Gunnar Hillert

- - ### Field Summary

    - ### Fields inherited from class org.springframework.shell.core.JLineShell

      `reader, statusListener`

    - ### Fields inherited from class org.springframework.shell.core.AbstractShell

      `completionKeys, exceptionLogger, exitShellRequest, inBlockComment, logger, ROO_PROMPT, shellPrompt`

    - ### Fields inherited from class org.springframework.shell.event.AbstractShellStatusPublisher

      `shellStatus, shellStatusListeners`

    - ### Fields inherited from interface org.springframework.context.SmartLifecycle

      `DEFAULT_PHASE`

    - ### Fields inherited from interface org.springframework.shell.core.Shell

      `WINDOW_TITLE_SLOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataflowJLineShellComponent(ConfigCommands configCommands, TargetHolder targetHolder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStartupNotifications()`

    - ### Methods inherited from class org.springframework.shell.core.JLineShellComponent

      `afterPropertiesSet, customizePlugin, getExecutionStrategy, getHistoryFileName, getParser, getPhase, getProductName, getPromptText, getSimpleParser, getVersion, getWelcomeMessage, isAutoStartup, isRunning, printBannerAndWelcome, setApplicationContext, setPrintBanner, start, stop, stop, waitForComplete`

    - ### Methods inherited from class org.springframework.shell.core.JLineShell

      `closeShell, createAnsiWindowsReader, createConsoleReader, flash, generatePromptUpdate, getHistorySize, getHomeAsString, isDevelopmentMode, logCommandToOutput, promptLoop, run, setDevelopmentMode, setHistorySize, setPromptPath, setPromptPath`

    - ### Methods inherited from class org.springframework.shell.core.AbstractShell

      `blockCommentBegin, blockCommentFinish, executeCommand, executeScriptLine, getExitShellRequest, getHome, getShellPrompt, handleExecutionResult, logCommandIfRequired, versionInfo`

    - ### Methods inherited from class org.springframework.shell.event.AbstractShellStatusPublisher

      `addShellStatusListener, getShellStatus, removeShellStatusListener, setShellStatus, setShellStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.shell.core.Shell

      `executeCommand, getExitShellRequest, getHome`

    - ### Methods inherited from interface org.springframework.shell.event.ShellStatusProvider

      `addShellStatusListener, getShellStatus, removeShellStatusListener`

    - ### Methods inherited from interface org.springframework.shell.core.ShellPromptAccessor

      `getShellPrompt`

- - ### Constructor Detail

    - #### DataflowJLineShellComponent

          public DataflowJLineShellComponent(ConfigCommands configCommands,
                                             TargetHolder targetHolder)

  - ### Method Detail

    - #### getStartupNotifications

          public String getStartupNotifications()

      Overrides:
        `getStartupNotifications` in class `org.springframework.shell.core.JLineShellComponent`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.